#include "Scene_Title.hpp"
//#include "Map.hpp"


extern Game game;
extern int scene;
extern Windmill windmill;

extern Map map_menu;


//----------------------------------------------------------------------------------------------------
//                                         CONSTRUCTOR
//----------------------------------------------------------------------------------------------------
Scene_Title::Scene_Title()
{
	// rien
}


//----------------------------------------------------------------------------------------------------
//                                           LAUNCH
//----------------------------------------------------------------------------------------------------
void Scene_Title::launch()
{
	time_scene = 0;

	camera.set(-20, 110, 16, 301, 25);
	windmill.load_map(&map_menu);
	windmill.set_camera(&camera);
}


//----------------------------------------------------------------------------------------------------
//                                           UPDATE
//----------------------------------------------------------------------------------------------------
void Scene_Title::update()
{
	time_scene += 0.02;

	map_menu.object[1]->angle += 1;
	//camera.y = 40 * sinf(2*PI * time_scene / 10);
	//camera.set_yaw(20 - 10 * sinf(2*PI * time_scene / 10));

	if (time_scene > 0.2 and input_trigger(K_SHIFT))
	{
		scene = SCENE_MAP;
	}
}


//----------------------------------------------------------------------------------------------------
//                                            DRAW
//----------------------------------------------------------------------------------------------------
void Scene_Title::draw()
{
	ML_clear_vram();
	
	windmill.draw();

	ML_bmp_and(sprite_titre_windmill2, 16, 0, 96, 21);
	ML_bmp_or(sprite_titre_windmill, 16, 0, 96, 21);

	if (int(2*time_scene) % 2 == 0)
	{
		PrintMini(25, 58, "Appuyer sur [shift]", MINI_OVER);
	}

	ML_display_vram();
}


//----------------------------------------------------------------------------------------------------
//                                          TERMINATE
//----------------------------------------------------------------------------------------------------
void Scene_Title::terminate()
{

}

//----------------------------------------------------------------------------------------------------
//                                         DESTRUCTOR
//----------------------------------------------------------------------------------------------------
Scene_Title::~Scene_Title()
{
	// rien
}